### Method

# Vips Object set_from_string

#### Declaration [src]

    int
    vips_object_set_from_string (
      VipsObject* object,
      const char* string
    )

#### Description [src]

Set object arguments from a string. The string can be something like “a=12”, or “a = 12, b = 13”, or “fred”. The string can optionally be enclosed in brackets.

You’d typically use this between creating the object and building it.

See also

`vips_object_set()`, `vips_object_build()`, `vips_cache_operation_buildp()`.

#### Parameters

`string`

  Type: `const char*`

  Arguments as a string.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `int`

0 on success, -1 on error.